MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031519Open CASCADE[OCCT] OCCT:Visualizationpublic2020-04-24 00:382020-04-26 14:14
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031519: Visualization, AIS_ViewController - add AIS_MouseGesture_ZoomWindow gesture
DescriptionZooming by window rectangle is a common action in many applications and OCCT samples, so that it is desired extending AIS_ViewController to support this mouse gesture.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030507closedbugmaster Open CASCADE Visualization - introduce AIS_ViewController 

-  Notes
(0091754)
git (administrator)
2020-04-24 00:40

Branch CR31519 has been created by kgv.

SHA-1: 0799d0b2f2efa31fbe03a9b5c7d6e8ba459ae5ba


Detailed log of new commits:

Author: kgv
Date: Thu Apr 23 23:47:11 2020 +0300

    0031519: Visualization, AIS_ViewController - add AIS_MouseGesture_ZoomWindow gesture
    
    AIS_ViewController now supports AIS_MouseGesture_ZoomWindow gesture,
    which displays zooming window via Rubber-Band rectangle.
(0091757)
kgv (developer)
2020-04-24 01:20

Patch is ready for review in branches CR31519 for OCCT and OCC Products.

http://jenkins-test-12.nnov.opencascade.com/view/CR31519-CR31519-KGV [^]
(0091772)
osa (developer)
2020-04-24 13:30

The patches were reviewed without remarks
(0091778)
git (administrator)
2020-04-24 14:59

Branch CR31519 has been updated forcibly by kgv.

SHA-1: 25938ad2c4cf2d8419256af30249be2ae07d0fe5
(0091779)
kgv (developer)
2020-04-24 14:59

Please use updated OCCT branch CR31519 with a bug-fix.
(0091798)
bugmaster (administrator)
2020-04-26 13:59

Combination -
OCCT branch : IR-2020-04-24
master SHA - 0439d1cf4488bb60804531b1e33a7b6d8feaa4bb
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-04-24 SHA - f669cdfbd089ad1c55ebd7b5fd9a85aaadbcf252
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17147.59000000021 / 16936.94000000008 [+1.24%]
Products
Total CPU difference: 11276.230000000087 / 11283.690000000102 [-0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 18665.6875 / 18389.65625 [+1.50%]
Products
Total CPU difference: 13204.1875 / 13180.625 [+0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0091804)
git (administrator)
2020-04-26 14:12

Branch CR31519 has been deleted by inv.

SHA-1: 25938ad2c4cf2d8419256af30249be2ae07d0fe5

- Related Changesets
occt: master e1c9a103
Timestamp: 2020-04-23 20:47:11
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031519: Visualization, AIS_ViewController - add AIS_MouseGesture_ZoomWindow gesture

AIS_ViewController now supports AIS_MouseGesture_ZoomWindow gesture,
which displays zooming window via Rubber-Band rectangle.
mod - src/AIS/AIS_MouseGesture.hxx Diff ] File ]
mod - src/AIS/AIS_ViewController.cxx Diff ] File ]
mod - src/AIS/AIS_ViewInputBuffer.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-04-24 00:38 kgv New Issue
2020-04-24 00:38 kgv Assigned To => kgv
2020-04-24 00:38 kgv Relationship added child of 0030507
2020-04-24 00:40 git Note Added: 0091754
2020-04-24 00:41 kgv Relationship added related to 0031321
2020-04-24 00:41 kgv Relationship added has duplicate 0031325
2020-04-24 01:20 kgv Note Added: 0091757
2020-04-24 01:20 kgv Assigned To kgv => osa
2020-04-24 01:20 kgv Status new => resolved
2020-04-24 13:30 osa Note Added: 0091772
2020-04-24 13:30 osa Assigned To osa => bugmaster
2020-04-24 13:30 osa Status resolved => reviewed
2020-04-24 14:54 bugmaster Test case number => Not required
2020-04-24 14:59 git Note Added: 0091778
2020-04-24 14:59 kgv Note Added: 0091779
2020-04-26 13:59 bugmaster Note Added: 0091798
2020-04-26 13:59 bugmaster Status reviewed => tested
2020-04-26 14:02 bugmaster Changeset attached => occt master e1c9a103
2020-04-26 14:02 bugmaster Status tested => verified
2020-04-26 14:02 bugmaster Resolution open => fixed
2020-04-26 14:12 git Note Added: 0091804


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker